
#
# Appends colon-separed results to a report file.
#

class SimpleFileReport

  def initialize(file)
    @file = file
  end

  def log(status, duration, service, api, name, message)
    line = "#{Time.now.to_i}:#{status}:#{duration}:#{service}:#{api}:#{name}:#{message}"
    file = File.new(@file, "a")
    file.puts(line)
    file.close()
  end

  def done(tests_ok, tests_fail)
    line = "#{Time.now.to_i}:DONE:#{tests_ok}:#{tests_fail}"
    file = File.new(@file, "a")
    file.puts(line)
    file.close()
  end

end
